Project

General

Profile

Feature #9735

Add a callback to get the lua API version from a script

Added by Tobias Ellinghaus over 5 years ago. Updated over 5 years ago.

Status:
Fixed
Priority:
Low
Category:
Lua
Target version:
-
Start date:
12/22/2013
Due date:
% Done:

100%

Affected Version:
System:
bitness:
64-bit
hardware architecture:
amd64/x86

Description

Since we will add new functions to our API and maybe even change some existing functions (unlikely, but who knows) we probably want a way for scripts to check if they are compatible with the version of darktable that runs them.

History

#1 Updated by Jérémy Rosen over 5 years ago

  • % Done changed from 20 to 100
  • Status changed from Triaged to Fixed

API has been added to 1.4 but is not documented.

documentation will be added in dev release/backported to 1.4.1

(to see what the API looks like use the following code :

print(dt.debug.dump(dt.configuration))

)

Also available in: Atom PDF